Common utilities
================

.. automodule:: xl.common

General functions
*****************
.. autofunction:: order_poset

Filesystem
**********
.. autofunction:: open_file

.. autofunction:: open_file_directory

.. autofunction:: walk

.. autofunction:: walk_directories

Decorators
**********
.. autofunction:: threaded

.. autofunction:: synchronized

.. autofunction:: profileit

.. autofunction:: classproperty

.. autofunction:: cached

Classes
*******

.. exception:: VersionError(message)

.. autoclass:: LimitedCache
    :show-inheritance:

.. autoclass:: TimeSpan
    :members:

.. autoclass:: MetadataList

.. autoclass:: ProgressThread
    :members: run, stop

.. autoclass:: PosetItem

